DWARF_GET_ABBREV_CHILDREN_FLAG(3) | Library Functions Manual | DWARF_GET_ABBREV_CHILDREN_FLAG(3)

# NAME

`dwarf_get_abbrev_children_flag` — return a flag indicating the presence of children

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

int
`dwarf_get_abbrev_children_flag`(Dwarf_Abbrev abbrev, Dwarf_Signed *ret, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_get_abbrev_children_flag`() retrieves a flag indicating whether the DWARF debug information entry associated with a DWARF abbreviation descriptor has child entries.

Argument abbrev should be a valid DWARF abbreviation descriptor, as returned by dwarf_get_abbrev(3).

Argument ret should point to a location which will hold the returned flag. The value returned will be one of the following:

`DW_CHILDREN_yes`
  The debugging information entry associated with the specified abbreviation descriptor has children.
`DW_CHILDREN_no`
  The debugging information entry associated with the specified abbreviation descriptor has no children.

If argument err is not `NULL`, it will be used to store error information in case of an error.

# RETURN VALUES

Function `dwarf_get_abbrev_children_flag`() returns `DW_DLV_OK` when it succeeds. In case of an error, it returns `DW_DLV_ERROR` and sets the argument err.

# ERRORS

Function `dwarf_get_abbrev_children_flag`() can fail with:

[`DW_DLE_ARGUMENT`]
  Either of arguments abbrev or ret was `NULL`.

# SEE ALSO

dwarf(3), dwarf_get_abbrev(3), dwarf_get_abbrev_code(3), dwarf_get_abbrev_entry(3), dwarf_get_abbrev_tag(3)

March 14, 2011 | NetBSD 11.0